

#    pkgIndex.tcl          TclHttpd server packages

proc load-package {package {version 1.0}} {
    global env

#puts "load-package $package $version"

    if {$version == 1.0} {
        package ifneeded $package $version [list source [file join $env(MIDASBASE) TclHttpd tcl [set package].tcl]]
    } else {
        package ifneeded $package $version [list source [file join $env(MIDASBASE) TclHttpd tcl [set package][set version].tcl]]
    }
}


    load-package MIDASDomainHandler 1.0 
    load-package RegisterAccessServer 1.0

    load-package HelloServer 1.0 

    load-package TimeServer 1.0
    load-package RshServer 1.0

    load-package MessageLoggerServer 1.0  

    load-package EPICSAccessServer 1.0  

    load-package MPXAccessServer 1.0  

    load-package NetVarServer 1.0
    load-package NetVarServer 1.1

    load-package SigTaskServer 1.0 

    load-package TapeServer 1.0 

    load-package XPRAYSNUCAMAccessServer 1.0 
    load-package XPGRISAccessServer 1.0 

    load-package XAIDAAccessServer 1.0 
#    load-package XAIDAAccessServer 2.0
    load-package XAD9252AccessServer 1.0
#    load-package XAD9252AccessServer 2.0

    load-package XR3BAccessServer 1.0
    load-package XR3BASICAccessServer 1.0
    load-package XR3BASICAccessServer 2.0

    load-package VHSADCAccessServer 1.0 
    load-package VHSADCServer 1.0 

    load-package VMEAccessServer 1.0 

    load-package CAMACAccessServer 1.0 

    load-package AGATADigitizerAccessServer 1.0
    load-package TargetWheel 1.0

    load-package DataBaseAccessServer 1.0

    load-package DataAcquisitionControlServer 1.0
    load-package RunControlServer 1.0

    load-package PULSERRunControl 1.0
    load-package AGATADigitizerRunControl 1.0
    load-package CAENRunControl 1.0
    load-package PGRISRunControl 1.0
    load-package AIDARunControl 1.0
    load-package MERGERunControl 1.0
    load-package NewMergerControl 1.0
    load-package LyrTechRunControl 1.0
    load-package LYCCARunControl 1.0
    load-package MEISRunControl 1.0

    load-package R3BRunControl 1.0
    load-package R3BOnlineRunControl 1.0

    load-package DemoControl 1.0
    load-package RunControl 1.0

    load-package ABCAccessServer 1.0

    load-package TDRIAccessServer 1.0

    load-package LaserControl 1.0

    load-package SpectrumServer 1.0
    load-package DiscSasServer 1.0
    load-package MemSasServer 1.0


